<template>
  <div>
    <multiselect
      :name="'Способ получения'"
      :value="SelectedItem"
      :options="accounts"
      track-by="id"
      label="name"
      :show-labels="false"
      @select="emitSelectToParent"
      :vValidateRules = "'requiredSelect'"
    >
      <template slot="singleLabel" slot-scope="props">
      <span class="account"
            :style="`background-image: url(${props.option.iconSmall || imgLink}); background-repeat: no-repeat; padding-left: 40px;`">{{props.option.description || props.option.name }}</span>
      </template>
      <template slot="option" slot-scope="props">
      <span class="account"
            :style="`background-image: url(${props.option.iconSmall || imgLink}); background-repeat: no-repeat`">{{ props.option.description || props.option.name }}</span>
      </template>
    </multiselect>
  </div>
</template>

<script>
  import Multiselect from '@/UI/Multiselect'
  import NewAccountCard from '@/components//AccountsAdd/NewAccountCard'
  import NewWallet from '@/components/Modals/NewWallet'

  export default {
    name: 'withdraw-select',
    components: {NewWallet, NewAccountCard},
    props: {
      SelectedItem: {
        type: [String, Object],
        default: () => {
          return {}
        }
      },
      refreshing: {
        type: Boolean,
        default: false
      }
    },
    data () {
      return {
        options: [
          {id: 'card', name: 'Банковская карта', type: 1, iconSmall: '/lk/static/img/accounts/card-add.png'},
          {id: 'yandex', name: 'Яндекс-кошелек', type: 3, iconSmall: '/lk/static/img/accounts/yandex-add.png'},
          // {id: 'contact', name: 'Contact (выдача наличных)', type: 5, iconSmall: '/lk/static/img/accounts/old-contact.png'} по WB-5777 данный параметр должен приходить только с бэка
        ],
        imgLink: ''
      }
    },
    component: {
      Multiselect
    },
    methods: {
      emitSelectToParent (selected) {
        this.$emit('select', selected)
      }
    },
    computed: {
      accounts () {
        // console.log('$accounts', this.$accounts)
        let options = [...this.$accounts.filter(item => item.id !== 0), ...this.options]
        console.log('options', options)
        return options
      }
    },
    updated () {
      if (this.refreshing) {
        let newIcons = this.$accounts.find((key) => key.main === 1)
        this.imgLink = newIcons.iconSmall
      }
    }
  }
</script>

<style lang="scss">

    .account {
      display: inline-block;
      background-position: 0px 3px;
      line-height: 26px;
      vertical-align: center;
      padding-left: 40px;
      background-repeat: no-repeat;
    }
    .card-add {
      background-image: url(/lk/static/img/accounts/card-add.png);
      background-repeat: no-repeat;
    }
    .yandex-add {
      background-image: url(/lk/static/img/accounts/yandex-add.png);
      background-repeat: no-repeat;
    }
    .account-add {
      padding-left: 60px;
      background-position: 25px;
      background-repeat: no-repeat;
      &:hover{
        background-color: cornflowerblue;
      }
    }
</style>
